## snapd 2.21~14.04

=== tests/main/confinement-classic/test-snapd-hello-classic/Makefile ===
SNAP_NAME = test-snapd-hello-classic
SNAP_VERSION = 0.1

# Ask gcc about the architecture name
arch := $(shell $(CC) -dumpmachine)

ifeq ($(arch),x86_64-linux-gnu)
snap_arch = amd64
dynamic_linker=ld-linux-x86-64.so.2
else ifeq ($(arch),i686-linux-gnu)
# NOTE: arch needs to be i386-linux-gnu, not i686-linux-gnu
arch := i386-linux-gnu
snap_arch = i386
dynamic_linker=ld-linux.so.2
else ifeq ($(arch),aarch64-linux-gnu)
snap_arch = arm64
dynamic_linker=ld-linux-aarch64.so.1
else ifeq ($(arch),arm-linux-gnueabihf)
snap_arch = armhf
dynamic_linker=ld-linux-armhf.so.3
else ifeq ($(arch),powerpc64le-linux-gnu)
# NOTE: The architecture name is ppc64el (E-L) but GCC uses powerpc64le (L-E)
snap_arch = ppc64el
dynamic_linker=ld64.so.2
else
$(error cannot translate architecture $(arch) to snap equivalent)
endif

# Name of the snap we're building
snap_file = $(SNAP_NAME)_$(SNAP_VERSION)_$(snap_arch).snap

define snap_yaml
name: $(SNAP_NAME)
version: $(SNAP_VERSION)
summary: A hello-world with classic confinement
architectures: [$(snap_arch)]
apps:
    $(SNAP_NAME):
        command: test-snapd-hello-classic.$(snap_arch).bin
confinement: classic
endef

.PHONY: all
all: $(snap_file)

# Name of the core snap to use
snap_core=core

# Don't search in default locations
LDFLAGS += -Wl,-z,nodefaultlib
LDFLAGS += -Wl,--enable-new-dtags
# Search in the core snap
LDFLAGS += -Wl,-rpath,/snap/$(snap_core)/current/lib/$(arch):/snap/$(snap_core)/current/usr/lib/$(arch)
# Use the dynamic linker from the core snap
LDFLAGS += -Wl,--dynamic-linker=/snap/$(snap_core)/current/lib/$(arch)/$(dynamic_linker)

test-snapd-hello-classic.$(snap_arch).bin: test-snapd-hello-classic.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $<

$(snap_file): test-snapd-hello-classic.$(snap_arch).bin meta/snap.yaml
	mksquashfs . $@ -e $@ -noappend -no-xattrs -comp xz

meta: Makefile
	mkdir -p $@

export snap_yaml
meta/snap.yaml: Makefile | meta
	echo "$$snap_yaml" > $@

.ONESHELL:

.PHONY: clean
clean:
	rm -f test-snapd-hello-classic.*.bin
	rm -f meta/snap.yaml
	rm -f *.snap
	rm -f -d meta

## snapd 2.0.2

=== debian/changelog ===
snapd (2.0.2) xenial; urgency=medium

  * New upstream release:
    - systemd: add multi-user.target (LP: #1572125)
    - release: our series is 16
    - integration-tests: fix snapd binary path for mounting the daemon
      built from branch
    - overlord,snap: add firstboot state sync

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 19 Apr 2016 16:02:44 +0200

snapd (2.0.1) xenial; urgency=medium

  * client,daemon,overlord: fix authentication:
    - fix incorrect authenication check (LP: #1571491)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Apr 2016 07:24:33 +0200

snapd (2.0) xenial; urgency=medium

  * New upstream release:
    - debian: put snapd in /usr/lib/snapd/
    - cmd/snap: minor polishing
    - cmd,client,daemon: add snap abort command
    - overlord: don't hold locks when callling backends
    - release,store,daemon: no more default-channel, release=>series
    - many: drop support for deprecated environment variables
      (SNAP_APP_*)
    - many: support individual ids in changes cmd
    - overlord/state: use numeric change and task ids
    - overlord/auth,daemon,client,cmd/snap: logout
    - daemon: don't install ubuntu-core twice
    - daemon,client,overlord/state,cmd: add changes command
    - interfaces/dbus: drop superfluous backslash from template
    - daemon, overlord/snapstate: updates are users too!
    - cmd/snap,daemon,overlord/ifacestate: add support for developer
      mode
    - daemon,overlord/snapstate: on refresh use the remembered channel,
      default to stable channel otherwise
    - cmd/snap: improve UX of snap interfaces when there are no results
    - overlord/state: include time in task log messages
    - overlord: prune and abort old changes and tasks
    - overlord/ifacestate: add implicit slots in setup-profiles
    - daemon,overlord: setup authentication for store downloads
    - daemon: macaroon-authed users are like root, and sudoers can login
    - daemon,client,docs: send install options to daemon

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 16 Apr 2016 22:15:40 +0200

snapd (1.9.4) xenial; urgency=medium

  * New upstream release:
    - etc: fix desktop file location
    - overlord/snapstate: stop an update once download sees the revision
      is already installed
    - overlord: make SnapState.DevMode a method, store flags
    - snappy: no more snapYaml in snappy.Snap
    - daemon,cmd,dirs,lockfile: drop all lockfiles
    - debian: use sudo in setup of the proxy environment
    - snap/snapenv,snappy,systemd: expose SNAP_REVISION to app
      environment
    - snap: validate similarly to what we did with old snapYaml info
      from squashfs snaps
    - daemon,store: plug in authentication for store search/details
    - overlord/snapstate: fix JSON name of SnapState.Candidate
    - overlord/snapstate: start using revisions higher than 100000 for
      local installs (sideloads)
    - interfaces,overlorf/ifacestate: honor user choice and don't auto-
      connect disconnected plugs
    - overlord/auth,daemon,client: hide user ids again
    - daemon,overlord/snapstate: back /snaps (and so snap list) using
      state
    - daemon,client,overlord/auth: rework state auth data
    - overlord/snapstate: disable Activate and Deactivate
    - debian: fix silly typo in autopkgtest setup
    - overlord/ifacestate: remove connection state with discard-conns
      task, on the removal of last snap
    - daemon,client: rename API update action to refresh
    - cmd/snap: rework login to be more resilient
    - overlord/snapstate: deny two changes on one snap
    - snappy: fix crash on certain snap.yaml
    - systemd: use native systemctl enable instead of our own
      implementation
    - store: add workaround for misbehaving store
    - debian: make autopkgtest use the right env vars
    - state: log do/undo status too when a task is run
    - docs: update rest.md with price information
    - daemon: only include price property if the snap is non-free
    - daemon, client, cmd/snap: connect/disconnect now async
    - snap,snappy: allow snaps to require system features
    - integration-tests: fix report of skips in SetUpTest method
    - snappy: clean out major bits (still using Installed) now
      unreferenced as cmd/snappy is gone
    - daemon/api,overlord/auth: add helper to get UserState from a
      client request

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 15 Apr 2016 23:30:00 +0200

snapd (1.9.3) xenial; urgency=medium

  * New upstream release:
    - many: prepare for opengl support on classic
    - interfaces/apparmor: load all apparmor profiles on snap setup
    - daemon,client: move async resource to change in meta
    - debian: disable autopilot
    - snap: add basic progress reporting
    - client,cmd,daemon,snap,store: show the price of snaps in the cli
    - state: add minimal taskrunner logging
    - daemon,snap,overlord/snapstate: in the API get the snap icon using
      state
    - client,daemon,overlord: don't guess snap file vs. name
    - overlord/ifacestate: reload snap connections when setting up
      security for a given snap
    - snappy: remove cmd/snappy (superseded in favour of cmd/snap)
    - interfaecs/apparmor: remove all traces of old-security from
      apparmor backend
    - interfaces/builtin: add bluez interface
    - overlord/ifacestate: don't crash if connection cannot be reloaded
    - debian: add searchSuite to autopkgtest
    - client, daemon, cmd/snap: no more tasks; everything is changes
    - client: send authorization header in client requests
    - client, daemon: marshal suggested currency over REST
    - docs, snap: enumerate snap types correctly in docs and comments
    - many: add store authenticator parameter
    - overlord/ifacestate,daemon: setup security on conect and
      disconnect
    - interfaces/apparmor: remove unused apparmor variables
    - snapstate: add missing "TaskProgressAdapter.Write()" for working
      progress reporting


=== debian/control ===
Source: snapd
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: bash-completion,
               debhelper (>= 9),
               dh-golang,
               dh-systemd,
               fakeroot,
               gettext,
               golang-check.v1-dev,
               golang-go,
               golang-go-flags-dev,
               golang-go.crypto-dev,
               golang-github-coreos-go-systemd-dev,
               golang-github-gorilla-mux-dev,
               golang-github-gosexy-gettext-dev,
               golang-github-mvo5-goconfigparser-dev,
               golang-github-peterh-liner-dev,
               golang-pb-dev,
               golang-pty-dev,
               golang-github-mvo5-uboot-go-dev,
               golang-yaml.v2-dev,
               golang-gopkg-tomb.v2-dev,
               golang-websocket-dev,
               lsb-release,
               python3,
               python3-markdown,
               squashfs-tools
Standards-Version: 3.9.7
Homepage: https://github.com/ubuntu-core/snappy
Vcs-Browser: https://github.com/ubuntu-core/snappy
Vcs-Git: https://github.com/ubuntu-core/snappy.git

Package: golang-github-ubuntu-core-snappy-dev
Architecture: all
Breaks: golang-snappy-dev (<< 1.7.3+20160303ubuntu4)
Replaces: golang-snappy-dev (<< 1.7.3+20160303ubuntu4)
Depends: ${misc:Depends}
Description: snappy development go packages.
 Use these to use the snappy API.

Package: snapd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser, lsb-release,
 squashfs-tools, ubuntu-core-launcher (>= 1.0.23),
Replaces: ubuntu-snappy (<< 1.9), ubuntu-snappy-cli (<< 1.9)
Breaks: ubuntu-snappy (<< 1.9), ubuntu-snappy-cli (<< 1.9)
Conflicts: snappy, snap (<< 2013-11-29-1ubuntu1)
Built-Using: ${misc:Built-Using}
Description: Tool to interact with Ubuntu Core Snappy.
 Manage an Ubuntu system with snappy.

Package: ubuntu-core-snapd-units
Architecture: any
Depends: snapd, ${misc:Depends}
Replaces: ubuntu-snappy (<< 1.9)
Breaks: ubuntu-snappy (<< 1.9)
Conflicts: snap (<< 2013-11-29-1ubuntu1)
Built-Using: ${misc:Built-Using}
Description: Scripts for snapd that should only run on ubuntu core systems.
 This package contains systemd services that need to run on ubuntu core
 systems.
 .
 This package should not be installed on a Desktop system.

Package: ubuntu-snappy
Architecture: all
Depends: snapd, ${misc:Depends}
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: ubuntu-snappy-cli
Architecture: all
Depends: snapd,  ${misc:Depends}
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS
export DH_GOPKG := github.com/ubuntu-core/snappy
#export DEB_BUILD_OPTIONS=nocheck
export DH_GOLANG_EXCLUDES=integration-tests

RELEASE = $(shell lsb_release -c -s)

%:
	dh $@ --buildsystem=golang --with=golang --fail-missing --with systemd

override_dh_systemd_enable:
	# enable boot-ok
	dh_systemd_enable \
		-pubuntu-core-snapd-units \
		snapd.boot-ok.service
	# enable the first boot service
	dh_systemd_enable \
		-pubuntu-core-snapd-units \
		snapd.firstboot.service
	# we want the autopilot timer enabled by default
#	dh_systemd_enable \
		-psnapd \
		snappy-autopilot.timer
	# but the autopilot service disabled
#	dh_systemd_enable \
		--no-enable \
		-psnapd \
		snappy-autopilot.service
	# enable snapd
	dh_systemd_enable \
		-psnapd \
		snapd.socket

override_dh_systemd_start:
	# start boot-ok
	dh_systemd_start \
		-pubuntu-core-snapd-units \
		snapd.boot-ok.service
	# we want to start the autopilot timer
#	dh_systemd_start \
		-psnapd \
		snappy-autopilot.timer
	# but not start the service
#	dh_systemd_start \
		--no-start \
		-psnapd \
		snappy-autopilot.service
	# start snapd
	dh_systemd_start \
		-psnapd \
		snapd.socket

# we need the builddir; is there a simpler way to get it?
BUILDDIR:=${CURDIR}/obj-$(shell dpkg-architecture -qDEB_TARGET_GNU_TYPE)

override_dh_auto_build:
	dh_auto_build
	# this will update the i18n stuff using our build-in xgettext-go
	if [ "$(RELEASE)" = "vivid" ]; then\
		GOPATH=${BUILDDIR} ./update-pot;\
	else\
		GOPATH=${BUILDDIR} go generate ./i18n;\
	fi;

override_dh_auto_install: snap.8
	dh_auto_install -O--buildsystem=golang
	# we do not need this in the package, its just needed during build
	rm -rf ${CURDIR}/debian/tmp/usr/bin/xgettext-go
	# Making the packages private
	rm -rf ${CURDIR}/debian/snapd/usr/share/gocode
	# toolbelt is not shippable
	rm -f ${CURDIR}/debian/tmp/usr/bin/toolbelt
	# we do not like /usr/bin/snappy anymore
	rm -f ${CURDIR}/debian/tmp/usr/bin/snappy

snap.8:
	${BUILDDIR}/bin/snap man > $@

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=golang
	rm -vf snap.8

=== debian/tests/control ===
Tests: integrationtests
Restrictions: allow-stderr, isolation-container, rw-build-tree
Depends: snapd,
         @builddeps@,
         bzr,
         git,
         ca-certificates,
         golang-golang-x-net-dev

## snapd 2.16+16.10ubuntu1

=== debian/changelog ===
snapd (2.16+16.10ubuntu1) yakkety; urgency=medium

  * systemd/systemd.go, systemd/systemd_test.go: Correct the mount arguments
    when mounting with squashfuse (LP: #1630789)

 -- Tyler Hicks <tyhicks@canonical.com>  Thu, 06 Oct 2016 18:49:40 +0000

snapd (2.16+16.10) yakkety; urgency=medium

  * New upstream release, LP: #1628425
    - overlord/state: prune old empty changes
    - interfaces: ppp: load needed kernel module (#2007)
    - interfaces/builtin: add missing rule to allow run-parts to
      execute all resolvconf scripts
    - many: rename apply-config hook to configure
    - tests: use new spread `debug` feature
    - many: finish `snap set` API.
    - overlord: fix and simplify configstate.Transaction
    - assertions: add system-user assertion
    - snap: add `snap known --remote`
    - tests: replace systemd-run with on-the-fly generation of units.
    - overlord/boot: switch to using assertstate.Batch
    - snap, daemon, store: pass through screenshots from store
    - image: add meta/gadget.yaml infrastructure
    - tests: add test benchmark script
    - daemon: add the actual ssh keys that got added to the create-user
      response
    - daemon: add REST API behind `snap get`
    - debian: re-add golang-github-gosexy-gettext-dev
    - tests: added install_local function
    - interfaces/builtin: fix resolvconf permissions for network-manager
      interface
    - tests: use apt as compatible with trusty
    - many: discard preserved namespace after removing snap
    - daemon, overlord, store: add ReadyToBuy API to snapd
    - many: add support for installing/removing multiple snaps
    - progress: use New64 and fix output newline
    - interfaces/builtin: allow network-manager to access netplan conf
      files
    - tests: build once and install test snap from cache
    - overlord/state: introduce cleanup support
    - snap: move/clarify Info.Broken
    - ctlcmd: add snapctl get.
    - overlord,store: clean up serial-proof plumbing code
    - interfaces/builtin: add network-setup-observe interface
    - daemon,overlord/assertstate: support streams of assertions with
      snap ack
    - snapd: kmod backend
    - tests: ensure HOME is also set correctly
    - configstate,hookstate: add snapctl set
    - tests: disable broken create-key test
    - interfaces: adjust bluetooth-control to allow getsockopt (LP:
      #1613572)
    - tests: add a test for core about device initialization and device
      registration and auth
    - many: show snap name before the download progress bar
    - interfaces/builtin: add rcvfrom for client connected plugs to mir
      interface
    - asserts: support for maps in assertions
    - tests: increase timeout for key generation in create-key test
    - many: validate refreshes against validation assertions by gating
      snaps
    - interfaces/apparmor: allow 'm' in default policy for snap-exec
    - many: avoid snap.InfoFromSnapYaml in tests
    - interfaces/builtin: allow /dev/net/tun with network-control
    - tests: add spread test for snap create-key/snap sign
    - tests: add missing quotes in security-device-cgroups/task.yaml
    - interfaces: drop ErrUnknownSecurity
    - store: add "ready to buy" method
    - snap/snapenv, tests: use root's data dirs when running via sudo
    - interfaces/builtin: add initial docker interface
    - snap: remove extra newline after progress is done
    - docs: fix formating of HACKING.md "Testing snapd"
    - store : add requestOptions.ExtraHeaders so that individual
      requests can customise headers.
    - many: use unique plug/slot names in tests
    - tests: add tests for the classic dimension
    - many: add vendoring of dependencies by default
    - tests: use in-tree snap{ctl,-exec} for all tests
    - many: support snapctl -h
    - tests: adjust regex after changes in stat output
    - store,snap: initial support for delta downloads
    - interfaces/builtin: add run/udev/data paths to mir interface
    - snap: lessen annoyance of implicit interface tests
    - tests: ensure http{,s}_proxy is defined inside the fake-store
    - interfaces: allow xdg-open in unity7, unity7 cleanups
    - daemon,store: move store login user logic to store
    - tests: replace realpath with readlink -f for trusty support.
    - tests: add https_proxy into environment as well
    - interfaces/builtin: allow mmaping pulseaudio buffers

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 28 Sep 2016 11:09:27 +0200

snapd (2.15.2ubuntu1) xenial; urgency=medium

  * New upstream release, LP: #1623579
    - snap/snapenv, tests: use root's data dirs when running via sudo
      (cherry pick PR: #1857)
    - tests: add https_proxy into environment
      (cherry pick PR: #1926)
    - interfaces: allow xdg-open in unity7, unity7 cleanups
      (cherry pick PR: #1946)
    - tests: ensure http{,s}_proxy is defined inside the fake-store 
      (cherry pick PR: #1949)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 21 Sep 2016 17:21:12 +0200

snapd (2.15.2) xenial; urgency=medium

  * New upstream release, LP: #1623579
    - asserts: define a bit less terse Ref.String
    - interfaces: disable auto-connect in libvirt interface
    - asserts: check that validation assertions are signed by the
      publisher of the gating snap

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 19 Sep 2016 10:42:29 +0200

snapd (2.15.1) xenial; urgency=medium

  * New upstream release, LP: #1623579
    - image: ensure local snaps are put last in seed.yaml
    - asserts: revert change that made the account-key's name mandatory.
    - many: refresh all snap decls
    - interfaces/apparmor: allow reading /etc/environment

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 19 Sep 2016 09:19:44 +0200

snapd (2.15) xenial; urgency=medium

  * New upstream release, LP: #1623579
    - tests: disable prepare-image-grub test in autopkgtest
    - interfaces: allow special casing for auto-connect until we have
      assertions


=== debian/control ===
Source: snapd
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: bash-completion,
               debhelper (>= 9),
               dh-golang (>=1.7),
               dh-systemd,
               fakeroot,
               gettext,
               gnupg2,
               golang-go,
               golang-github-gosexy-gettext-dev,
               python3,
               python3-markdown,
               squashfs-tools
Standards-Version: 3.9.7
Homepage: https://github.com/snapcore/snapd
Vcs-Browser: https://github.com/snapcore/snapd
Vcs-Git: https://github.com/snapcore/snapd.git

Package: golang-github-ubuntu-core-snappy-dev
Architecture: all
Depends: ${misc:Depends}, golang-github-snapcore-snapd-dev
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: golang-github-snapcore-snapd-dev
Architecture: all
Breaks: golang-snappy-dev (<< 1.7.3+20160303ubuntu4), golang-github-ubuntu-core-snappy-dev (<< 2.0.6)
Replaces: golang-snappy-dev (<< 1.7.3+20160303ubuntu4), golang-github-ubuntu-core-snappy-dev (<< 2.0.6)
Depends: ${misc:Depends}
Description: snappy development go packages.
 Use these to use the snappy API.

Package: snapd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser,
 squashfs-tools, gnupg1 | gnupg, ubuntu-core-launcher (>= 1.0.23),
Replaces: ubuntu-snappy (<< 1.9), ubuntu-snappy-cli (<< 1.9)
Breaks: ubuntu-snappy (<< 1.9), ubuntu-snappy-cli (<< 1.9)
Conflicts: snappy, snap (<< 2013-11-29-1ubuntu1)
Built-Using: ${misc:Built-Using}
Description: Tool to interact with Ubuntu Core Snappy.
 Manage an Ubuntu system with snappy.

Package: ubuntu-snappy
Architecture: all
Depends: snapd, ${misc:Depends}
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: ubuntu-snappy-cli
Architecture: all
Depends: snapd,  ${misc:Depends}
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: ubuntu-core-snapd-units
Architecture: all
Depends: snapd,  ${misc:Depends}
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS
export DH_GOPKG := github.com/snapcore/snapd
#export DEB_BUILD_OPTIONS=nocheck
export DH_GOLANG_EXCLUDES=tests
export DH_GOLANG_GO_GENERATE=1

export PATH:=${PATH}:${CURDIR}

RELEASE = $(shell lsb_release -c -s)

# The go tool does not fully support vendoring with gccgo, but we can
# work around that by constructing the appropriate -I flag by hand.
GCCGO := $(shell go tool dist env > /dev/null 2>&1 && echo no || echo yes)

GCCGOFLAGS=
ifeq ($(GCCGO),yes)
GOARCH := $(shell go env GOARCH)
GOOS := $(shell go env GOOS)

GCCGOFLAGS=-gccgoflags="-I $(CURDIR)/_build/pkg/gccgo_$(GOOS)_$(GOARCH)/$(DH_GOPKG)/vendor"
export DH_GOLANG_GO_GENERATE=0
endif

# check if we need to include the testkeys in the binary
TAGS=
ifneq (,$(filter testkeys,$(DEB_BUILD_OPTIONS)))
	TAGS=-tags withtestkeys
endif

%:
	dh $@ --buildsystem=golang --with=golang --fail-missing --with systemd --builddirectory=_build

override_dh_auto_build:
	mkdir -p _build/src/$(DH_GOPKG)/cmd/snap/test-data
	cp -a cmd/snap/test-data/*.gpg _build/src/$(DH_GOPKG)/cmd/snap/test-data/
	dh_auto_build -- $(TAGS) $(GCCGOFLAGS)


override_dh_auto_test:
	dh_auto_test -- $(GCCGOFLAGS)
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# check that only the main trusted account-key is included
	[ $$(strings _build/bin/snapd|grep -c -E "public-key-sha3-384: [a-zA-Z0-9_-]{64}") -eq 1 ]
	strings _build/bin/snapd|grep -c "^public-key-sha3-384: -CvQKAwRQ5h3Ffn10FILJoEZUXOv6km9FwA80-Rcj-f-6jadQ89VRswHNiEB9Lxk$$"
endif

override_dh_systemd_enable:
	# enable boot-ok
	dh_systemd_enable \
		-psnapd \
		snapd.boot-ok.service
	# enable the first boot service
	dh_systemd_enable \
		-psnapd \
		snapd.firstboot.service
	# we want the auto-update timer enabled by default
	dh_systemd_enable \
		-psnapd \
		snapd.refresh.timer
	# but the auto-update service disabled
	dh_systemd_enable \
		--no-enable \
		-psnapd \
		snapd.refresh.service
	# enable snapd
	dh_systemd_enable \
		-psnapd \
		snapd.socket
	dh_systemd_enable \
		-psnapd \
		snapd.service

override_dh_systemd_start:
	# start boot-ok
	dh_systemd_start \
		-psnapd \
		snapd.boot-ok.service
	# we want to start the auto-update timer
	dh_systemd_start \
		-psnapd \
		snapd.refresh.timer
	# but not start the service
	dh_systemd_start \
		--no-start \
		-psnapd \
		snapd.refresh.service
	# start snapd
	dh_systemd_start \
		-psnapd \
		snapd.socket
	dh_systemd_start \
		-psnapd \
		snapd.service

override_dh_auto_install: snap.8
	dh_auto_install -O--buildsystem=golang
	# we do not need this in the package, its just needed during build
	rm -rf ${CURDIR}/debian/tmp/usr/bin/xgettext-go
	# Making the packages private
	rm -rf ${CURDIR}/debian/snapd/usr/share/gocode
	# we do not like /usr/bin/snappy anymore
	rm -f ${CURDIR}/debian/tmp/usr/bin/snappy
	# no uboot-go
	rm -f ${CURDIR}/debian/tmp/usr/bin/uboot-go

snap.8:
	$(CURDIR)/_build/bin/snap help --man > $@

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=golang
	rm -vf snap.8

## snapd 2.20.1~14.04

=== debian/changelog ===
snapd (2.20.1~14.04) trusty; urgency=medium

  * New upstream release, LP: #1648520
    - first trusty backport

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Dec 2016 22:30:50 +0100

snapd (2.20.1) xenial; urgency=medium

  * New upstream release, LP: #1648520
    - tests: enable the ppc64el tests again
    - tests: add classic confinement test
    - tests: run snap confine tests in debian/rules already

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 19 Dec 2016 11:53:29 +0100

snapd (2.20) xenial; urgency=medium

  * New upstream release, LP: #1648520
    - many: implement  "snap alias --reset" using snapstate.ResetAliases
    - debian: use a packaging branch for 14.04
    - store: retry downloads on io.Copy errors and sha3 checksum errors
    - snap: show apps in `snap info`
    - store: send an explicit X-Ubuntu-Classic header to the store
    - overlord/snapstate: implement snapstate.ResetAliases
    - interfaces/builtin: add dbus interface
    - tests: fix tests on 17.04
    - store: use mocked retry strategy to make store tests faster
    - overlord: apply auto-aliases information from the snap-declaration
      on install or refresh
    - many: prepare landing on trusty
    - many: implement snap unalias using snapstate.Unalias
    - overlord/snapstate: fixing the placement/grouping of some
      functions
    - interfaces: support network namespaces via 'ip netns' in network-
      control
    - interfaces/builtin: fix pulseaudio apparmor rules
    - interfaces/builtin: add iio interface
    - tests: update custom core snap with the freshly build snap-confine
    - interfaces: use sysd.{Disable,Stop} instead of sysd.DisableNow()
    - overlord,overlord/snapstate: implement snapstate.Unalias by
      generalizing the "alias" task
    - interfaces: misc openstack snap enablement
    - cmd/snap: mock terminal.ReadPassword instead of using /dev/ptmx
    - notifications, daemon: kill the unsupported events endpoint
    - client: only allow Dangerous option in InstallPath
    - overlord/ifacestate: no interface checks if no snap id
    - many: implement alias command
    - snap: tweak snap install output as designed by Mark
    - debian: fix Pre-Depends on dpkg
    - tests: check if snap-confine --version is unknown
    - cmd/snap-confine: allow content interface mounts
    - tests: remove ppa:snappy-dev/image again
    - interfaces/apparmor: allow access to core snap
    - tests: remove snap-confine/ubuntu-core-launcher after the tests
    - overlord,overlord/snapstate: implement snapstate.Alias
    - cmd/snap: reject "snap disconnect foo"
    - debian: add split ubuntu-core-launcher and snap-confine packages
    - cmd: fix mkversion.sh and add regression test
    - overlord/snapstate: setup/remove aliases as we link/unlink snaps
    - cmd/snap,tests: alias support in snap run
    - snap/snapenv: don't obscure HOME if snap uses classic confinement
    - store: decode response.Body json inside retry loops
    - cmd/snap-confine: fix compilation on platforms with gcc < 4.9.0
    - vendor: update tomb package fixing context support

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Dec 2016 22:07:08 +0100

snapd (2.19) xenial; urgency=medium

  * New upstream release, LP: #1648520
    - cmd/snap-confine: disable support for XDG_RUNTIME_DIR
    - cmd/snap-confine/tests: fix stale path after move to snapd
    - cmd/snap-confine: don't use __attribute__((nonull))
    - snap: add description to `snap info`
    - snap: show last refresh time
    - store: switch default delta format from xdelta to xdelta3
    - interfaces: fix system-observe interface to work with ps_mem
    - debian: add missing ca-certificates dependency
    - cmd/snap-confine: add support for classic confinement
    - snapstate/backend: add backend methods to manage aliases
    - tests: re-enable snap-confine unit tests via spread
    - many: merge snap-confine into snapd
    - many: add support for classic confinement
    - snap: abort install with ctrl+c
    - cmd/snap: change terms accept URL following UX review
    - interfaces/apparmor: use distinct apparmor template for classic
    - snap: add snap size to `snap info`
    - interfaces: add unconfined access to modem-manager
    - snap: support for parsing and exposing on snap.Info aliases
    - debian: disable autopkgtests on ppc64el
    - snap: disable support for socket activation
    - tests: fix incorrect restore of the current symlink
    - asserts: introduce auto-aliases header in snap-declaration
    - interfaces/seccomp: add support for classic confinement
    - tests: do not use external snaps
    - daemon: close the dup()ed file descriptor to not leak it
    - overlord, daemon, progress: enable building snapd without CGO
    - daemon, store: let snap info find things in any channel
    - store: retry tweaks and logging
    - snap: Improve `snap --help` output as designed by Mark
    - interfaces/builtin: fix incorrect udev rule in i2c
    - overlord: increase test timeout and improve failure message
    - snap: remove unused experimental command
    - debian: remove unneeded conflict against the "snappy" package
    - daemon, strutil: move daemon.quotedNames to strutil.Quoted
    - docs: document SNAP_DEBUG_HTTP in HACKING.md
    - cmd/snap: have some completers
    - snap: support "daemon: notify" in snap.yaml
    - snap: fix try command when daemon linie is added
    - interfaces: apparmor support for classic confinement
    - debian/rules: build with -buildoptions=pie
    - tests: include /boot in saved state (including bootenv and any
      kernels)
    - daemon: ensure `snap try` installs core if it's missing
    - tests: save/restore /snap/core/current symlink
    - tests: decrease the number of expected featured apps
    - tests: add set -e to the prepare ssh script
    - cmd/snap: add tests for section completion; fix bugs.
    - cmd/snap: document 'snap list --all'



=== debian/control ===
Source: snapd
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: autoconf,
               automake,
               autotools-dev,
               bash-completion,
               debhelper (>= 9),
               dh-apparmor,
               dh-autoreconf,
               dh-golang (>=1.7),
               dh-systemd,
               fakeroot,
               gettext,
               gnupg2,
               golang-any (>=2:1.6) | golang-1.6,
               indent,
               init-system-helpers,
               libapparmor-dev,
               libglib2.0-dev,
               libseccomp-dev (>= 2.1.1-1ubuntu1~trusty1),
               libudev-dev,
               pkg-config,
               python3,
               python3-docutils,
               python3-markdown,
               squashfs-tools,
               udev
Standards-Version: 3.9.7
Homepage: https://github.com/snapcore/snapd
Vcs-Browser: https://github.com/snapcore/snapd
Vcs-Git: https://github.com/snapcore/snapd.git

Package: golang-github-ubuntu-core-snappy-dev
Architecture: all
Depends: golang-github-snapcore-snapd-dev, ${misc:Depends}
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: golang-github-snapcore-snapd-dev
Architecture: all
Breaks: golang-github-ubuntu-core-snappy-dev (<< 2.0.6),
        golang-snappy-dev (<< 1.7.3+20160303ubuntu4)
Replaces: golang-github-ubuntu-core-snappy-dev (<< 2.0.6),
          golang-snappy-dev (<< 1.7.3+20160303ubuntu4)
Depends: ${misc:Depends}
Description: snappy development go packages.
 Use these to use the snappy API.

Package: snapd
Architecture: any
Depends: adduser,
         apparmor (>= 2.10.95-0ubuntu2.2),
         ca-certificates,
         cgroup-lite,
         gnupg1 | gnupg,
         linux-generic-lts-xenial,
         snap-confine (= ${binary:Version}),
         squashfs-tools,
# only needed on trusty to pull in the right version.
         sudo (>= 1.8.9p5-1ubuntu1.3),
         systemd (>= 204-5ubuntu20.20),
         ubuntu-core-launcher (= ${binary:Version}),
# only needed on trusty to pull in the right version.
         util-linux (>=2.20.1-5.1ubuntu20.9),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: ubuntu-snappy (<< 1.9), ubuntu-snappy-cli (<< 1.9)
Breaks: ubuntu-snappy (<< 1.9), ubuntu-snappy-cli (<< 1.9)
Conflicts: snap (<< 2013-11-29-1ubuntu1)
Built-Using: ${misc:Built-Using}
Description: Tool to interact with Ubuntu Core Snappy.
 Install, configure, refresh and remove snap packages. Snaps are
 'universal' packages that work across many different Linux systems,
 enabling secure distribution of the latest apps and utilities for
 cloud, servers, desktops and the internet of things.
 .
 This is the CLI for snapd, a background service that takes care of
 snaps on the system. Start with 'snap list' to see installed snaps.

Package: ubuntu-snappy
Architecture: all
Depends: snapd, ${misc:Depends}
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: ubuntu-snappy-cli
Architecture: all
Depends: snapd, ${misc:Depends}
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: ubuntu-core-snapd-units
Architecture: all
Depends: snapd, ${misc:Depends}
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: snap-confine
Architecture: any
Breaks: ubuntu-core-launcher (<< 1.0.32)
Replaces: ubuntu-core-launcher (<< 1.0.32)
Depends: apparmor (>= 2.10.95-0ubuntu2.2), ${misc:Depends}, ${shlibs:Depends}
Description: Support executable to apply confinement for snappy apps
 This package contains an internal tool for applying confinement to snappy app.
 The executable (snap-confine) is ran internally by snapd to apply confinement
 to the started application process. The tool is written in C and carefully
 reviewed to limit the attack surface on the security model of snapd.

Package: ubuntu-core-launcher
Architecture: any
Depends: snap-confine (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: dpkg (>= 1.15.7.2)
Description: Launcher for ubuntu-core (snappy) apps
 This package contains the launcher for launching snappy applications

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS
export DH_GOPKG := github.com/snapcore/snapd
#export DEB_BUILD_OPTIONS=nocheck
export DH_GOLANG_EXCLUDES=tests
export DH_GOLANG_GO_GENERATE=1

export PATH:=${PATH}:${CURDIR}
# make sure that correct go version is found on trusty
export PATH:=/usr/lib/go-1.6/bin:${PATH}

include /etc/os-release

SYSTEMD_UNITS_DESTDIR=
ifeq (${VERSION_ID},"14.04") 
	# We are relying on a deputy systemd setup for trusty,
	# in which systemd does not run as PID 1. To solve the
	# problem of services shipping systemd units and upstart jobs
	# being started twice, we altered systemd on trusty to ignore
	# /lib/systemd/system and instead consider only selected units from
	# /lib/systemd/upstart.
	SYSTEMD_UNITS_DESTDIR="lib/systemd/upstart/"
	# make sure that trusty's golang-1.6 is picked up correctly.
	export PATH:=/usr/lib/go-1.6/bin:${PATH}
else
	SYSTEMD_UNITS_DESTDIR="lib/systemd/system/"
endif

# The go tool does not fully support vendoring with gccgo, but we can
# work around that by constructing the appropriate -I flag by hand.
GCCGO := $(shell go tool dist env > /dev/null 2>&1 && echo no || echo yes)

BUILDFLAGS:=-buildmode=pie -pkgdir=$(CURDIR)/_build/std
GCCGOFLAGS=
ifeq ($(GCCGO),yes)
GOARCH := $(shell go env GOARCH)
GOOS := $(shell go env GOOS)
BUILDFLAGS:=
GCCGOFLAGS=-gccgoflags="-I $(CURDIR)/_build/pkg/gccgo_$(GOOS)_$(GOARCH)/$(DH_GOPKG)/vendor"
export DH_GOLANG_GO_GENERATE=0
endif

# check if we need to include the testkeys in the binary
TAGS=
ifneq (,$(filter testkeys,$(DEB_BUILD_OPTIONS)))
	TAGS=-tags withtestkeys
endif

# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# DPKG_EXPORT_BUILDFLAGS = 1
# include /usr/share/dpkg/buildflags.mk

# Currently, we enable confinement for Ubuntu only, not for derivatives,
# because derivatives may have different kernels that don't support all the
# required confinement features and we don't to mislead anyone about the
# security of the system.  Discuss a proper approach to this for downstreams
# if and when they approach us
ifeq ($(shell dpkg-vendor --query Vendor),Ubuntu)
    VENDOR_ARGS=--enable-nvidia-ubuntu
else
    VENDOR_ARGS=--disable-apparmor
endif

%:
	dh $@ --buildsystem=golang --with=golang --fail-missing --builddirectory=_build

override_dh_fixperms:
	dh_fixperms -Xusr/lib/snapd/snap-confine

override_dh_installdeb:
	dh_apparmor --profile-name=usr.lib.snapd.snap-confine -psnap-confine
	dh_installdeb

override_dh_clean:
ifneq (,$(TEST_GITHUB_AUTOPKGTEST))
	# this will be set by the GITHUB webhook to trigger a autopkgtest
	# we only need to run "govendor sync" here and then its ready
	(export GOPATH="/tmp/go"; \
	  mkdir -p $$GOPATH/src/github.com/snapcore/; \
          cp -ar . $$GOPATH/src/github.com/snapcore/snapd; \
	  go get -u github.com/kardianos/govendor; \
	  (cd $$GOPATH/src/github.com/snapcore/snapd ; $$GOPATH/bin/govendor sync); \
	  cp -ar $$GOPATH/src/github.com/snapcore/snapd/vendor/ .; \
        )
endif
	dh_clean
	# XXX: hacky
	$(MAKE) -C cmd distclean || true

override_dh_auto_build:
	# usually done via `go generate` but that is not supported on powerpc
	./mkversion.sh
	# Build golang bits
	mkdir -p _build/src/$(DH_GOPKG)/cmd/snap/test-data
	cp -a cmd/snap/test-data/*.gpg _build/src/$(DH_GOPKG)/cmd/snap/test-data/
	dh_auto_build -- $(BUILDFLAGS) $(TAGS) $(GCCGOFLAGS)
	# Build C bits, sadly manually
	cd cmd && ( autoreconf -i -f )
	cd cmd && ( ./configure --prefix=/usr --libexecdir=/usr/lib/snapd $(VENDOR_ARGS))
	$(MAKE) -C cmd all

override_dh_auto_test:
	dh_auto_test -- $(GCCGOFLAGS)
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# check that only the main trusted account-key is included
	[ $$(strings _build/bin/snapd|grep -c -E "public-key-sha3-384: [a-zA-Z0-9_-]{64}") -eq 1 ]
	strings _build/bin/snapd|grep -c "^public-key-sha3-384: -CvQKAwRQ5h3Ffn10FILJoEZUXOv6km9FwA80-Rcj-f-6jadQ89VRswHNiEB9Lxk$$"
endif
	# run the snap-confine tests
	$(MAKE) -C cmd check

override_dh_install:
	# we do not need this in the package, its just needed during build
	rm -rf ${CURDIR}/debian/tmp/usr/bin/xgettext-go
	# uboot-go is not shippable
	rm -f ${CURDIR}/debian/tmp/usr/bin/uboot-go
	# toolbelt is not shippable
	rm -f ${CURDIR}/debian/tmp/usr/bin/toolbelt
	# we do not like /usr/bin/snappy anymore
	rm -f ${CURDIR}/debian/tmp/usr/bin/snappy
	# install dev package files
	mkdir -p debian/golang-github-snapcore-snapd-dev/usr/share
	rm -rf debian/tmp/usr/share/gocode/src/github.com/snapcore/snapd/cmd/snap-confine
	cp -R debian/tmp/usr/share/gocode debian/golang-github-snapcore-snapd-dev/usr/share
	# install udev stuff, must be installed before 80-udisks
	install debian/snapd.autoimport.udev -D debian/snapd/lib/udev/rules.d/66-snapd-autoimport.rules

	# install bash completion files
	install --mode=0644 data/completion/snap -D debian/snapd/usr/share/bash-completion/completions/snap
	# i18n stuff
	mkdir -p debian/snapd/usr/share
	if [ -d share/locale ]; then \
		cp -R share/locale debian/snapd/usr/share; \
	fi
	# etc/profile.d contains the PATH extension for snap packages
	mkdir -p debian/snapd/etc
	cp -R etc/profile.d debian/snapd/etc
	# etc/X11/Xsession.d will add to XDG_DATA_DIRS so that we have .desktop support
	mkdir -p debian/snapd/etc
	cp -R etc/X11 debian/snapd/etc
	# we install snapd's systemd units
	mkdir -p debian/snapd/$(SYSTEMD_UNITS_DESTDIR)
	install --mode=0644 debian/snapd.refresh.timer debian/snapd/$(SYSTEMD_UNITS_DESTDIR)
	install --mode=0644 debian/snapd.refresh.service debian/snapd/$(SYSTEMD_UNITS_DESTDIR)
	install --mode=0644 debian/snapd.autoimport.service debian/snapd/$(SYSTEMD_UNITS_DESTDIR)
	install --mode=0644 debian/*.socket debian/snapd/$(SYSTEMD_UNITS_DESTDIR)
	install --mode=0644 debian/snapd.service debian/snapd/$(SYSTEMD_UNITS_DESTDIR)
	install --mode=0644 debian/snap.mount.service debian/snapd/$(SYSTEMD_UNITS_DESTDIR)
	$(MAKE) -C cmd install DESTDIR=$(CURDIR)/debian/tmp
	dh_install

override_dh_auto_install: snap.8
	dh_auto_install -O--buildsystem=golang

snap.8:
	$(CURDIR)/_build/bin/snap help --man > $@

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=golang
	rm -vf snap.8

## snapd 2.21~14.04

=== debian/changelog ===
snapd (2.21~14.04) trusty; urgency=medium

  * New upstream release, LP: #1656382
    - daemon: re-enable reexec
    - interfaces: allow reading installed files from previous revisions
      by default
    - daemon: make activation optional
    - tests: run all snap-confine tests in c-unit-tests task
    - many: fix abbreviated forms of disconnect
    - tests: switch more tests to MATCH
    - store: export userAgent. daemon: print store.UserAgent() on
      startup.
    - tests: test classic confinement `snap list` and  `snap info`
      output
    - debian: skip snap-confine unit tests on nocheck
    - overlord/snapstate: share code between Update and UpdateMany, so
      that it deals with auto-aliases correctly
    - interfaces: upower-observe: refactor to allow snaps to provide a
      slot
    - tests: add end-to-end store test for classic confinement
    - overlord,overlord/snapstate: have UpdateMany retire/enable auto-
      aliases even without new revision
    - interfaces/browser-support: add @{PROC}/@{pid}/fd/[0-9] w and misc
      /run/udev
    - interfaces/builtin: add physical-memory-* and io-ports-control
    - interfaces: allow getsockopt by default since it is so commonly
      used
    - cmd/snap, daemon, overlord/snapstate: tests and fixes for "snap
      refresh" of a classic snap
    - interfaces: allow read/write access of real-time clock with time-
      control interface
    - store: request no CDN via a header using SNAPPY_STORE_NO_CDN
      envvar
    - snap: add information about tracking channel (not just actual
      channel)
    - interfaces: use fewer dot imports
    - overlord/snapstate: remove restrictions on ResetAliases
    - overlord, store: move confinement filtering to the overlord (from
      The Store)
    - many: move interface test helpers to ifacetest package
    - many: implement 'snap aliases'
    - vet: fix for unkeyed fields error on aliases_test.go
    - interfaces: miscellaneous policy updates for network-control,
      unity7, pulseaudio, default and home
    - tests: test for auto-aliases
    - interface hooks: connect plug slot hooks (step 2)
    - cmd/snap: fix internal naming in snap connect
    - snap: use "size" as the json tag in snap.ChannelSnapInfo
    - tests: restore the missing initialization of iface manager causing
      race
    - snap: fix missing sizes in `snap info <remote-snap>`
    - tests: improve cleanup for c-unit-tests
    - cmd/snap-confine: build non-installed libsnap-confine-private.a
    - cmd/snap-confine: small tweaks to seccomp support code
    - interfaces/docker-support: allow /run/shm/aufs.xeno for 14.04
    - many: obtain installed snaps developer/publisher username through
      assertions
    - store: setting of fields for details endpoint
    - cmd/snap-confine: check for rst2man on configure
    - snap: show `snap --help` output when just running `snap`
    - interface/builtin: drop the obsolete checks in udisks2
      SanitizeSlot
    - cmd/snap: remove currency switch following UX review
    - spread: find top-level directory before running generate-
      packaging-dir
    - interface hooks: prepare plug slot hooks (step 1)
    - i18n: use github.com/mvo5/gettext.go (pure go) for i18n to avoid
      cgo
    - many: put a marker in the User-Agent sent by snapd/snap when under
      testingThe User-Agent will look like:
    - tests: fix -reuse and -resend when govendor is missing
    - snap: provide friendlier `snap find` message when no snaps are
      found
    - tests: fix mkversions.sh failure on zesty
    - spread: install build-essentail unconditionally
    - spread: improve qemu ubuntu-14.04-{32,64} support
    - overlord/snapstate,daemon: implement GET /v2/aliases handling
    - store: retry user info request
    - tests: port more snap-confine regression tests
    - tests: cancel the scheduled reboot on ubuntu-core-upgrade-no-gc
      and restore state
    - tests: debug zesty autopkgtest failures
    - overlord/snapstate: use keyed fields on literals
    - tests: use MATCH in install-remove-multi
    - tests: increase wait time for service to be up
    - tests: make debug-each succeed if DENIED doesn't match
    - tests: skip packaging dir generation for non-git based autopkgtest
      runs
    - tests: port refresh-all-undo to MATCH
    - tests: improve snap connect test
    - tests: port additional snap-confine regression tests
    - tests: show --version when it matches unknown
    - tests: optionally use apt proxy for qemu
    - tests: add hello-classic test
    - many: behave more consistently when pointed to staging and
      possibly the fake store
    - overlord/ifacestate: remove stale comments
    - interfaces/apparmor: ignore snippets in classic confinement
    - tests: port first regression test from snap-confine
    - cmd/snap-confine: disable old tests

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 13 Jan 2017 19:39:51 +0100

=== debian/tests/control ===
Tests: integrationtests
Restrictions: allow-stderr, isolation-container, rw-build-tree, needs-root, breaks-testbed
Depends: @builddeps@,
         bzr,
         ca-certificates,
         git,
         golang-golang-x-net-dev,
         openssh-server,
         snapd,
         unity,
         x11-utils,
         xvfb
